Skip to main content

Ask the DMS to pull an RO/PO now​


ApiScope: payment.paymentdealerorder.read
API Scope Level: DepartmentScope
Path Parameters
    departmentUuid string required
Query Parameters
    dealerAssociateUuid string required

    Cashier who asked for the pull - the only user notified when it settles

Request Body required
    orderNumber string
    orderType string
Responses

OK


Schema
    errors object[]
  • Array [
  • errorCode int32
    errorTitle string
    errorMessage string
    errorDescription string
  • ]
  • warnings object[]
  • Array [
  • warningCode int32
    warningTitle string
    warningMessage string
    warningDescription string
  • ]
  • dmsOrderPull object
    uuid string
    departmentUuid string
    orderNumber string
    orderType string
    status string

    Possible values: [REQUESTED, COMPLETED, NOT_FOUND, FAILED]

    errorCode string
    requestedAt date-time
    resolvedAt date-time
    alreadyInFlight boolean
Loading...